summaryrefslogtreecommitdiff
path: root/linux/scripts/headers.sh
diff options
context:
space:
mode:
authorMichael J. Chudobiak <mjc@avtechpulse.com>2016-04-25 10:00:44 -0400
committerMichael J. Chudobiak <mjc@avtechpulse.com>2016-04-25 10:00:44 -0400
commita1df417e74aa6dae7352dc8cbb0ad471af5b7c69 (patch)
treec34b2311e37ea31db153c90cb8f4570374d05e78 /linux/scripts/headers.sh
initial Olimex linux tree from Daniel, originally Feb 3, 2016
Diffstat (limited to 'linux/scripts/headers.sh')
-rwxr-xr-xlinux/scripts/headers.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/linux/scripts/headers.sh b/linux/scripts/headers.sh
new file mode 100755
index 00000000..d4dc4de5
--- /dev/null
+++ b/linux/scripts/headers.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Run headers_$1 command for all suitable architectures
+
+# Stop on error
+set -e
+
+do_command()
+{
+ if [ -f ${srctree}/arch/$2/include/asm/Kbuild ]; then
+ make ARCH=$2 KBUILD_HEADERS=$1 headers_$1
+ else
+ printf "Ignoring arch: %s\n" ${arch}
+ fi
+}
+
+archs=${HDR_ARCH_LIST:-$(ls ${srctree}/arch)}
+
+for arch in ${archs}; do
+ case ${arch} in
+ um) # no userspace export
+ ;;
+ *)
+ if [ -d ${srctree}/arch/${arch} ]; then
+ do_command $1 ${arch}
+ fi
+ ;;
+ esac
+done